Subject: Re: bug#5078: 23.1.50; vc broken
From: Leo <[email-masked]>
To: Dan Nicolaescu <[email-masked]>
Cc: [email-masked]
Date: Tue, 01 Dec 2009 14:56:50 +0000

On 2009-12-01 02:00 +0000, Dan Nicolaescu wrote:
>   > I set vc-git-state with edebug and then made some changes to the file.
>   > The following are some return values inside vc-git-state. Does it give a
>   > clue?
>   > 
>   > 1. (vc-git--call nil "add" "--refresh" "--" (file-relative-name file))
>   > 
>   > returns result: 128 (#o200, #x80, ?\200)
>   > 
>   > 2. (vc-git--run-command-string file "diff-index" "-z" "HEAD" "--")
>   > 
>   > returns empty string ""
>
> It seems that git thinks there's no change, if you change that line to:
>
> (vc-git--run-command-string file "diff-index" "-p" "-z" "HEAD" "--")
>
> does it return the diff you've shown in a previous message?

It returns the empty string "" as well.

>   > If I clone the repo, the problem goes away.
>
> Maybe something is corrupted in your tree, maybe comparing the 2 .git
> directories could give some clues.

I think it might be due to incompatibility between git 1.4.x and 1.5.x
as all new repos do not have this problem. This bug can be closed. Thank
you very much for your help along the way.

Best,

Leo